package com.jiuqi.util.patterns;

import java.util.Map;

/* loaded from: com_jiuqi_util_patterns.jar:com/jiuqi/util/patterns/ConstPattern.class */
class ConstPattern implements IPattern {
    private String expression;

    public ConstPattern() {
    }

    public ConstPattern(String expression) {
        this.expression = expression;
    }

    public String toString() {
        return this.expression;
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public void add(IPattern pattern) {
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public void add(int index, IPattern pattern) {
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public void clear() {
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public IPattern get(int index) {
        return null;
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public String getExpression() {
        return this.expression;
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public int getLength() {
        if (this.expression == null) {
            return 0;
        }
        return this.expression.length();
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public int getType() {
        return 0;
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public int indexOf(IPattern pattern) {
        return -1;
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public void remove(int index) {
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public void setExpression(String value) {
        this.expression = value;
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public void setLength(int value) {
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public int size() {
        return 0;
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public int match(String s, int start, Map values) {
        if (s == null) {
            return -1;
        }
        if (this.expression == null) {
            return start;
        }
        for (int i = 0; i < this.expression.length(); i++) {
            if (start + i >= s.length() || this.expression.charAt(i) != s.charAt(start + i)) {
                return -1;
            }
        }
        return start + this.expression.length();
    }

    @Override // com.jiuqi.util.patterns.IPattern
    public String replace(ITranslator translator) {
        return this.expression;
    }
}
